import { ElementRef, OnChanges, OnInit, Renderer2 } from '@angular/core';
import { NgxGravatarService } from './ngx-gravatar.service';
import { GravatarConfig } from './gravatar-config';
import * as i0 from "@angular/core";
export declare class NgxGravatarDirective implements OnChanges, OnInit {
    private elementRef;
    private renderer;
    private gravatarService;
    src: string;
    email: string;
    md5Hash: string;
    size: number;
    fallback: string;
    rating: string;
    round: boolean;
    cornerRadius: number;
    borderColor: string;
    borderWidth: number;
    style: any;
    preferGravatar: boolean;
    backgroundColor: string;
    ratio: number;
    initialized: boolean;
    defaultConfig: GravatarConfig;
    requestedSize: number;
    isGravatarUsed: boolean;
    constructor(elementRef: ElementRef, renderer: Renderer2, gravatarService: NgxGravatarService);
    ngOnInit(): void;
    ngOnChanges(): void;
    /**
     * Set default values for user inputs if they are not provided
     */
    private setDefaultValues;
    /**
     * Initialize avatar.
     * Custom source has higher priority if preferGravatar is not set on.
     * Finally, set styles for the avatar.
     */
    private initializeAvatar;
    /**
     * Compute the size of the avatar
     *
     * @return size
     */
    private computeSize;
    /**
     * Compute style object
     *
     * @return style object
     */
    private avatarStyle;
    /**
     * Set style for the avatar
     *
     * @param styles style object
     */
    private setStyle;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxGravatarDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxGravatarDirective, "[ngx-gravatar], [ngxGravatar]", never, { "src": "src"; "email": "email"; "md5Hash": "md5Hash"; "size": "size"; "fallback": "fallback"; "rating": "rating"; "round": "round"; "cornerRadius": "cornerRadius"; "borderColor": "borderColor"; "borderWidth": "borderWidth"; "style": "style"; "preferGravatar": "preferGravatar"; "backgroundColor": "backgroundColor"; "ratio": "ratio"; }, {}, never>;
}
